Subject: Re: [PATCH] powerpc/dts: Move pll0/1-div4 index

From: Scott Wood <[email-masked]>
Date: Mon, 20 Apr 2015 14:36:45 -0500

On Mon, 2015-04-20 at 06:10 -0500, Liberman Igal-B31950 wrote:
> 
> 
> Regards,
> Igal Liberman.
> 
> > -----Original Message-----
> > From: Wood Scott-B07421
> > Sent: Friday, April 17, 2015 8:42 AM
> > To: Liberman Igal-B31950
> > Cc: [email-masked]; [email-masked]
> > Subject: Re: [PATCH] powerpc/dts: Move pll0/1-div4 index
> > 
> > On Thu, 2015-04-16 at 15:08 +0300, Igal.Liberman wrote:
> > > From: Igal Liberman <[email-masked]>
> > >
> > > This patch updates pll0/1-div4 index to '3'.
> > > Originally it was '2'.
> > >
> > > The following patch adds pll0/1-div3 option:
> > > 	https://patchwork.ozlabs.org/patch/461151/
> > > After this patch, index '2' becomes pll0/1-div3.
> > >
> > > This patch based on top of the following:
> > > 	https://patchwork.ozlabs.org/patch/461811/
> > >
> > > Signed-off-by: Igal Liberman <[email-masked]>
> > 
> > This needs to be done in the same patch as the provider change, to avoid a
> > buggy intermediate state.
> > 
> > Will there be a new binding patch coming?
> > 
> 
> OK, I'll add those changes as on patch.
> 
> Regarding the binding,
> I already submitted https://patchwork.ozlabs.org/patch/461150/

Which is an incompatible change as I noted in a comment on a different
patch.

> Do you mean that I should add comment that the driver parses the node by reading the number of input clocks and not the compatible?

No, you should make the binding document reflect how things currently
work.

-Scott